MS04-031: Vulnerability in NetDDE Could Allow Code Execution (841533)

This script is Copyright (C) 2004-2015 Tenable Network Security, Inc.

Synopsis :

Arbitrary code can be executed on the remote host through the NetDDE

Description :

The remote version of Windows is affected by a vulnerability in Network
Dynamic Data Exchange (NetDDE).

To exploit this flaw, NetDDE would have to be running and an attacker
with a specific knowledge of the vulnerability would need to send a
malformed NetDDE message to the remote host to overrun a given buffer.

A public exploit is available to exploit this vulnerability.

See also :

Solution :

Microsoft has released a set of patches for Windows NT, 2000, XP and

Risk factor :

Critical / CVSS Base Score : 10.0
CVSS Temporal Score : 8.3
Public Exploit Available : true

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 15456 ()

Bugtraq ID: 11372

CVE ID: CVE-2004-0206